package com.acme.model.domain.sc.sessionbean;


import com.acme.structure.GridData;
import com.acme.structure.ServerResponse;

import java.util.Collection;

import javax.ejb.Remote;


@Remote
public interface SCManager
{
    public Collection findServicesForList();
    
    public Collection findSections();
    
    public ServerResponse synchronizeSections(GridData gridData) throws Exception;
    
    public ServerResponse synchronizeServiceGroups(GridData gridData) throws Exception;
    
    public Collection findServiceGroups();
    
    public Collection findServices();
    
    public ServerResponse synchronizeServices(GridData gridData) throws Exception;
    
    public Collection findServiceGroupsForList();
    
    public Collection findTablesForList();
}
